export declare const numberInputSlotRecipe: import("../..").SlotRecipeDefinition<"root" | "control" | "label" | "input" | "valueText" | "incrementTrigger" | "decrementTrigger" | "scrubber", {
    size: {
        xs: {
            input: {
                textStyle: "xs";
                px: "2";
                "--input-height": "sizes.8";
            };
            control: {
                fontSize: "2xs";
                "--stepper-width": "sizes.4";
            };
        };
        sm: {
            input: {
                textStyle: "sm";
                px: "2.5";
                "--input-height": "sizes.9";
            };
            control: {
                fontSize: "xs";
                "--stepper-width": "sizes.5";
            };
        };
        md: {
            input: {
                textStyle: "sm";
                px: "3";
                "--input-height": "sizes.10";
            };
            control: {
                fontSize: "sm";
                "--stepper-width": "sizes.6";
            };
        };
        lg: {
            input: {
                textStyle: "md";
                px: "4";
                "--input-height": "sizes.11";
            };
            control: {
                fontSize: "sm";
                "--stepper-width": "sizes.6";
            };
        };
    };
    variant: {
        outline: {
            input: {
                bg: "transparent";
                borderWidth: "1px";
                borderColor: "border";
                focusVisibleRing: "inside";
                focusRingColor: "var(--focus-color)";
            } | {
                borderWidth: "1px";
                borderColor: "transparent";
                bg: "bg.muted";
                focusVisibleRing: "inside";
                focusRingColor: "var(--focus-color)";
            } | {
                bg: "transparent";
                borderBottomWidth: "1px";
                borderBottomColor: "border";
                borderRadius: "0";
                px: "0";
                _focusVisible: {
                    borderColor: "var(--focus-color)";
                    boxShadow: "0px 1px 0px 0px var(--focus-color)";
                    _invalid: {
                        borderColor: "var(--error-color)";
                        boxShadow: "0px 1px 0px 0px var(--error-color)";
                    };
                };
            };
        };
        subtle: {
            input: {
                bg: "transparent";
                borderWidth: "1px";
                borderColor: "border";
                focusVisibleRing: "inside";
                focusRingColor: "var(--focus-color)";
            } | {
                borderWidth: "1px";
                borderColor: "transparent";
                bg: "bg.muted";
                focusVisibleRing: "inside";
                focusRingColor: "var(--focus-color)";
            } | {
                bg: "transparent";
                borderBottomWidth: "1px";
                borderBottomColor: "border";
                borderRadius: "0";
                px: "0";
                _focusVisible: {
                    borderColor: "var(--focus-color)";
                    boxShadow: "0px 1px 0px 0px var(--focus-color)";
                    _invalid: {
                        borderColor: "var(--error-color)";
                        boxShadow: "0px 1px 0px 0px var(--error-color)";
                    };
                };
            };
        };
        flushed: {
            input: {
                bg: "transparent";
                borderWidth: "1px";
                borderColor: "border";
                focusVisibleRing: "inside";
                focusRingColor: "var(--focus-color)";
            } | {
                borderWidth: "1px";
                borderColor: "transparent";
                bg: "bg.muted";
                focusVisibleRing: "inside";
                focusRingColor: "var(--focus-color)";
            } | {
                bg: "transparent";
                borderBottomWidth: "1px";
                borderBottomColor: "border";
                borderRadius: "0";
                px: "0";
                _focusVisible: {
                    borderColor: "var(--focus-color)";
                    boxShadow: "0px 1px 0px 0px var(--focus-color)";
                    _invalid: {
                        borderColor: "var(--error-color)";
                        boxShadow: "0px 1px 0px 0px var(--error-color)";
                    };
                };
            };
        };
    };
}>;
